<link rel="stylesheet" href="{{ static('plugins/iCheck/all.css') }}">
<!-- bootstrap datepicker -->
<link rel="stylesheet" href="{{ static('bower_components/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css') }}">


<div class="modal-dialog" id="empresa">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header bg-{{ bg_header }}">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title"> {{ titulo }}</h4>
            </div>
                <div class="modal-body">
                    {% if not object %}
                    <form class="form-horizontal" action="{{ url('recaudacion:agencias_create') }}" method="post" enctype="multipart/form-data" role="form">
                    {% else %}
                    <form class="form-horizontal" action="" method="post" enctype="multipart/form-data" role="form">
                    {% endif %}
                        <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                        <div class="box-body">
                            
                            <div class="form-group">
                                <label for="id_empresa" class="col-sm-3 control-label">RIF</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        {{ form.empresa }}
                                        <span class="input-group-addon"><i class="fa fa-map-marker"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.empresa.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="id_tramite" class="col-sm-3 control-label">Trámite</label>
                                <div class="col-sm-9">
                                    <div class="input-group">
                                        {{ form.tramite }}
                                        <span class="input-group-addon"><i class="fa fa-credit-card"></i></span>
                                    </div>
                                    <span class="help-block">
                                        {% for error in form.tramite.errors %}
                                            <ul>
                                                <li class="text-red">{{ error }}</li>
                                            </ul>
                                        {% endfor %}
                                    </span>
                                </div>
                            </div>
                                                      

                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <button type="submit" class="btn btn-{{ btn_color }} pull-right">
                                <i class="fa fa-{{ accion }}"></i>&nbsp;&nbsp;
                                {{ boton }}
                            </button>
                            <button type="button" class="btn btn-default pull-left" data-dismiss="modal">
                                <i class="fa fa-times"></i> &nbsp;&nbsp;
                                Cerrar
                            </button>

                        </div>
                        <!-- /.box-footer -->
                    </form>
                </div>
                
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->

<!-- InputMask -->
<script src="{{ static('plugins/input-mask/jquery.inputmask.js') }}"></script>
<script src="{{ static('plugins/input-mask/jquery.inputmask.date.extensions.js') }}"></script>
<script src="{{ static('plugins/input-mask/jquery.inputmask.extensions.js') }}"></script>
<!-- bootstrap datepicker -->
<script src="{{ static('bower_components/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js') }}"></script>
<script src="{{ static('bower_components/bootstrap-datepicker/js//locales/bootstrap-datepicker.es.js') }}"></script>

<script>
$('.datepicker').datepicker({
        autoclose: true,
        format: "dd/mm/yyyy",
        language: "es"
    })

$('[data-mask]').inputmask()

// $('#id_nro_rif').inputmask('9999999-9')




    function bs_input_file() {
        $(".input-file").before(
            function() {
                if ( ! $(this).prev().hasClass('input-ghost') ) {
                    var element = $("<input type='file' name='avatar' id='id_avatar' class='input-ghost' style='visibility:hidden; height:0'>");
                    element.change(function(){
                        element.next(element).find('input').val((element.val()).split('\\').pop());
                    });
                    $(this).find("button.btn-choose").click(function(){
                        element.click();
                    });
                    $(this).find("button.btn-reset").click(function(){
                        element.val(null);
                        $(this).parents(".input-file").find('input').val('');
                    });
                    $(this).find('input').css("cursor","pointer");
                    $(this).find('input').mousedown(function() {
                        $(this).parents('.input-file').prev().click();
                        return false;
                    });
                    return element;
                }
            }
        );
    }
    
    $(function() {
        bs_input_file();
    });

//iCheck for checkbox and radio inputs
$('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
  checkboxClass: 'icheckbox_minimal-blue',
  radioClass   : 'iradio_minimal-blue'
})
//Red color scheme for iCheck
$('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
  checkboxClass: 'icheckbox_minimal-red',
  radioClass   : 'iradio_minimal-red'
})
//Flat red color scheme for iCheck
$('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
  checkboxClass: 'icheckbox_flat-green',
  radioClass   : 'iradio_flat-green'
})
</script>